GET /classification.json
Summary: Search device classifications
Operation ID: getDeviceClassifications
Auth: unknown
Operation ID: getDeviceClassifications
Auth: unknown
Description
Access the FDA's device classification database containing information about how medical devices are classified (Class I, II, or III) based on their level of risk and the regulatory controls needed to provide reasonable assurance of safety and effectiveness.
Parameters (4)
count
(string, query, optional)
Field to count/aggregate results by
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Search query using openFDA search syntax. Example: 'device_name:pacemaker' to search by device name.
skip
(integer, query, optional, default: 0)
Number of results to skip (for pagination)
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search pacemaker classifications | curl |
https://api.fda.gov/device/classification.json?search=device_name:pacemaker&limit=5 |
|
| Search with pagination | curl |
https://api.fda.gov/device/classification.json?search=medical_device_type:thermometer&limit=10&skip=20 |
|
| Count by device class | curl |
https://api.fda.gov/device/classification.json?search=device_class:2&count=device_class |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 10:45:52.484589 | 200 | 882ms | |
| 2026-03-23 10:36:37.309640 | 404 | 841ms | |
| 2026-03-23 09:30:15.226257 | 500 | 886ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 10:36:37.309640 | 4e4cb167cfb2 |
57b1e7534d00 |
| 2026-03-23 10:45:52.484589 | 57b1e7534d00 |
7911eef9e185 |